public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Itai Ferber" <itai@itaiferber.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: net-vpn/mullvadvpn-app/
Date: Thu, 26 Sep 2024 15:24:08 +0000 (UTC)	[thread overview]
Message-ID: <1727364205.817ee8cadc7ec25d8a33d00e8e62351f3ddfb6ea.itai@gentoo> (raw)

commit:     817ee8cadc7ec25d8a33d00e8e62351f3ddfb6ea
Author:     Itai Ferber <itai <AT> itaiferber <DOT> net>
AuthorDate: Thu Sep 26 15:23:25 2024 +0000
Commit:     Itai Ferber <itai <AT> itaiferber <DOT> net>
CommitDate: Thu Sep 26 15:23:25 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=817ee8ca

net-vpn/mullvadvpn-app: add 2024.6_beta1

Signed-off-by: Itai Ferber <itai <AT> itaiferber.net>

 net-vpn/mullvadvpn-app/Manifest                    |  2 +
 .../mullvadvpn-app-2024.6_beta1.ebuild             | 85 ++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/net-vpn/mullvadvpn-app/Manifest b/net-vpn/mullvadvpn-app/Manifest
index d855be42a..e2fdc0f16 100644
--- a/net-vpn/mullvadvpn-app/Manifest
+++ b/net-vpn/mullvadvpn-app/Manifest
@@ -1,2 +1,4 @@
 DIST MullvadVPN-2024.5_aarch64.rpm 85185769 BLAKE2B 1b6d5791f0363041b5861ed09a259053a6304c9a2efdfc14d0c0317a9f86eb446eeeca1a740d6154eee1aae349159b8d5f62358c5b2ede965ff2d6bf7b0dadf7 SHA512 cc3d58241c68b4cc3376723911f0cd9228958e8abd92572d6e946e70a172af1b90b6a3f5588e30c25d3d9072be00f95c0fffc11874349f0c03fc4b23966d5e25
 DIST MullvadVPN-2024.5_x86_64.rpm 91119641 BLAKE2B 91ec3ac8eb749592a050582a3b4038b0ad577dac3f4fe169c3bbb311c7741d78032308d76ad54bcb9ca7e6ace91ea3dcd551b232d9ac111d2fae5d7570332916 SHA512 8ddf461ed9336f82a2753c5b6071047c094e1e3dca36ce3a45985dc6681e9f208958533f90f5cb97d1574e8a03742d1e6942fbcf7ae9e97ae785a980866942f7
+DIST MullvadVPN-2024.6-beta1_aarch64.rpm 83123577 BLAKE2B 53923b70b467c6fd6fa0bd15192d2f1097e56afa2ea3bf4ac405ce31a2097cc2501509b5a3cef23e16ddf1e2885070885dc254c334f3b2196eae60645ce7fb53 SHA512 fb90b81a3605f803b21bf5410d333da0e14292e336e51c764d51ad468e57b0171f3900514794875fd15e51bc1e261265af9e6ef5e66348784a34d654b09e5b3a
+DIST MullvadVPN-2024.6-beta1_x86_64.rpm 88907705 BLAKE2B 4aaf0df070c70efd42a75853e38cc16cb789815ed28df6a5c08472b79daaa0f439f1cf1f9349fdd7e327dd6b141aad3e812e00b5f70635426f810db8ad3f91fa SHA512 20dd7ca6bca307a48e8617d7abccdc554aa9cdf1f6bbcf0640a5a6492681ceb64791887723349955e2fc4890d9c99ed61a15e703d306c0e43da6cd166d8719d7

diff --git a/net-vpn/mullvadvpn-app/mullvadvpn-app-2024.6_beta1.ebuild b/net-vpn/mullvadvpn-app/mullvadvpn-app-2024.6_beta1.ebuild
new file mode 100644
index 000000000..1409b77b5
--- /dev/null
+++ b/net-vpn/mullvadvpn-app/mullvadvpn-app-2024.6_beta1.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop rpm systemd shell-completion xdg
+
+MYPV="${PV/_beta/-beta}"
+DESCRIPTION="Tool used to manage daemon setup"
+HOMEPAGE="https://github.com/mullvad/mullvadvpn-app https://mullvad.net/"
+SRC_URI="
+	amd64? ( https://github.com/mullvad/mullvadvpn-app/releases/download/${MYPV}/MullvadVPN-${MYPV}_x86_64.rpm )
+	arm64? ( https://github.com/mullvad/mullvadvpn-app/releases/download/${MYPV}/MullvadVPN-${MYPV}_aarch64.rpm )
+"
+
+S="${WORKDIR}"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm64"
+
+RESTRICT="bindist mirror strip"
+
+RDEPEND="
+	app-accessibility/at-spi2-core:2
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	x11-libs/cairo
+	x11-libs/gtk+:3
+	x11-libs/libdrm
+	x11-libs/libX11
+	x11-libs/libxcb
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libxkbcommon
+	x11-libs/libXrandr
+	x11-libs/pango
+"
+
+QA_PREBUILT="*"
+
+MULLVAD_GUI_NEEDS_RESTART=0
+
+src_install() {
+	sed -i "s|SCRIPT_DIR=.*|SCRIPT_DIR=\"/opt/Mullvad VPN/\"|g" "${S}/opt/Mullvad VPN/mullvad-vpn" || die
+
+	# Using doins -r would strip executable bits from all binaries
+	cp -pPR "${S}"/opt "${D}"/ || die "Failed to copy files"
+	fperms +x "/opt/Mullvad VPN/chrome_crashpad_handler"
+	fperms 4755 "/opt/Mullvad VPN/chrome-sandbox"
+
+	dobin "${S}"/usr/bin/mullvad
+	dobin "${S}"/usr/bin/mullvad-daemon
+	dobin "${S}"/usr/bin/mullvad-exclude
+	dosym "../../opt/Mullvad VPN/mullvad-vpn" /usr/bin/mullvad-vpn
+	dosym "../../opt/Mullvad VPN/resources/mullvad-problem-report" /usr/bin/mullvad-problem-report
+
+	# mullvad-exclude uses cgroups to manage exclusions, which requires root permissions, but is
+	# also most often used to exclude graphical applications which can't or shouldn't run as root
+	# (i.e., can't be run under `sudo/doas /usr/bin/mullvad-exclude ...`, because `sudo`/`doas`
+	# change user). The setuid bit allows any user to exclude executables under their own UID.
+	fperms 4755 /usr/bin/mullvad-exclude
+
+	newinitd "${FILESDIR}"/mullvad-daemon.initd mullvad-daemon
+
+	systemd_newunit "${S}"/usr/lib/systemd/system/mullvad-daemon.service mullvad-daemon.service
+	systemd_newunit "${S}"/usr/lib/systemd/system/mullvad-early-boot-blocking.service mullvad-early-boot-blocking.service
+
+	newbashcomp "${S}"/usr/share/bash-completion/completions/mullvad mullvad
+	newfishcomp "${S}"/usr/share/fish/vendor_completions.d/mullvad.fish mullvad
+	newzshcomp "${S}"/usr/share/zsh/site-functions/_mullvad _mullvad
+
+	domenu "${S}"/usr/share/applications/mullvad-vpn.desktop
+	local x
+	for x in 16 32 48 64 128 256 512 1024; do
+		doicon -s ${x} "${S}"/usr/share/icons/hicolor/${x}x${x}/apps/mullvad-vpn.png
+	done
+}


             reply	other threads:[~2024-09-26 15:24 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-09-26 15:24 Itai Ferber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-03 15:26 [gentoo-commits] repo/proj/guru:dev commit in: net-vpn/mullvadvpn-app/ Itai Ferber
2024-09-03 15:26 Itai Ferber
2024-08-24 10:56 Takuya Wakazono
2024-08-22 17:09 Itai Ferber
2024-07-25 14:27 Itai Ferber
2024-07-25 14:27 Itai Ferber
2024-07-16 16:53 Itai Ferber
2024-06-27  8:41 [gentoo-commits] repo/proj/guru:master " David Roman
2024-06-27  8:23 ` [gentoo-commits] repo/proj/guru:dev " David Roman
2024-06-24 18:08 Itai Ferber
2024-06-24 15:49 Itai Ferber
2024-05-15 23:02 Itai Ferber
2024-05-10 18:24 Itai Ferber
2024-05-10 17:34 Itai Ferber
2024-04-26 12:48 David Roman
2024-04-26 12:48 David Roman
2024-04-26 12:48 David Roman
2024-04-11 14:36 Joe Kappus
2024-01-01  2:29 Joe Kappus
2023-12-12  9:08 David Roman
2023-11-01 12:56 David Roman
2023-10-30 11:27 [gentoo-commits] repo/proj/guru:master " David Roman
2023-10-29 10:46 ` [gentoo-commits] repo/proj/guru:dev " David Roman
2023-10-28  1:06 David Roman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1727364205.817ee8cadc7ec25d8a33d00e8e62351f3ddfb6ea.itai@gentoo \
    --to=itai@itaiferber.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox